### Struct

# Qmi MessageNasAttachDetachInput

since: 1.20

#### Description [src]

    struct QmiMessageNasAttachDetachInput {
      /* No available fields */
    }

The `QmiMessageNasAttachDetachInput` structure contains private data and should only be accessed using the provided API.

Available since: 1.20

#### Constructors

###### qmi_message_nas_attach_detach_input_new

Allocates a new `QmiMessageNasAttachDetachInput`.

since: 1.20

#### Instance methods

###### qmi_message_nas_attach_detach_input_get_action

Get the ‘Action’ field from `self`.

since: 1.20

###### qmi_message_nas_attach_detach_input_ref

Atomically increments the reference count of `self` by one.

since: 1.20

###### qmi_message_nas_attach_detach_input_set_action

Set the ‘Action’ field in the message.

since: 1.20

###### qmi_message_nas_attach_detach_input_unref

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

since: 1.20